Bug 9532 - Не монтирутся гибкий диск
: Не монтирутся гибкий диск
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pmount)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-08 10:45 by
Modified: 2006-10-26 16:31 (History)


Attachments
Патч изменяет порядок разных ФС в попытках монтирования (663 bytes, patch)
2006-10-23 21:58, Vadim V. Zhytnikov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-08 10:45:36
При попытке монтирования гибкого диска
pmount-hal /dev/fd0
система долго, около минуты, скрипит дисководом и, вроде бы,
успешно монтирует (команда завершается без ошибок), 
но содержимое точки монтирования /media/fd0
всегда пусто.
------- Comment #1 From 2006-10-23 15:16:00 -------
у меня нет /dev/fd0 физически. И идей как это чинить тоже.
------- Comment #2 From 2006-10-23 15:52:19 -------
К счастью ситуация изменилась к лучшему.  Сейчас pmount/pmount-hal
успешно монтирует флоппик.  Тем не менее есть две неприятности:

1. pmount-hal /dev/fd0 выбирает точку монтирования /media/usbdisk

2. B pmount и pmount-hal монтируют флоппик ну очень долго.
Такое впечатление, что в процессе монтирования полностью прочитывается
весь диск.

Т.е формально всё заработало, но 2. делает такой метод
монтирования практически бесполезным.   Я сейчас использую
для /dev/fd0 subfs.  К счастью subfs на FDD совместимо с KDE.
------- Comment #3 From 2006-10-23 17:08:05 -------
(In reply to comment #2)
> 2. B pmount и pmount-hal монтируют флоппик ну очень долго.
> Такое впечатление, что в процессе монтирования полностью прочитывается
> весь диск.

pmount -d /dev/fd0

и посмотри как ОНО монтирует. думаю после уже не дожно быть вопросов почему ТАК
медленно. ;)
------- Comment #4 From 2006-10-23 17:08:44 -------
закрываем как FIXED?
------- Comment #5 From 2006-10-23 17:41:32 -------
Погоди чуток! pmount -d действительно всё прояснил (что-то я этот ключик
проглядел раньше).  Вот оно:
===============================
spawnv(): executing /bin/mount '/bin/mount' '-t' 'udf' '-o'
'nosuid,nodev,user,async,atime,noexec,uid=501,gid=501,umask=000,iocharset=utf8'
'/dev/fd0' '/media/fd0'
spawn(): /bin/mount terminated with status 32
spawnv(): executing /bin/mount '/bin/mount' '-t' 'udf' '-o'
'nosuid,nodev,user,async,atime,noexec,uid=501,gid=501,umask=000' '/dev/fd0'
'/media/fd0'
spawn(): /bin/mount terminated with status 32
spawnv(): executing /bin/mount '/bin/mount' '-t' 'iso9660' '-o'
'nosuid,nodev,user,async,atime,noexec,uid=501,gid=501,iocharset=utf8'
'/dev/fd0'
'/media/fd0'
spawn(): /bin/mount terminated with status 32
spawnv(): executing /bin/mount '/bin/mount' '-t' 'iso9660' '-o'
'nosuid,nodev,user,async,atime,noexec,uid=501,gid=501' '/dev/fd0' '/media/fd0'
spawn(): /bin/mount terminated with status 32
spawnv(): executing /bin/mount '/bin/mount' '-t' 'vfat' '-o'
'nosuid,nodev,user,quiet,shortname=mixed,async,atime,noexec,uid=501,gid=501,umask=077,iocharset=utf8'
'/dev/fd0' '/media/fd0'
spawn(): /bin/mount terminated with status 0
=============================
Четырехкратная попытка смонтировать udf и iso9660 - вот и вся задержка!
Почему такой порядок?  Чтобы CD/DVD быстрее монтировались?
------- Comment #6 From 2006-10-23 17:46:06 -------
на нового маинтейнера
------- Comment #7 From 2006-10-23 19:33:22 -------
(In reply to comment #5)
> Погоди чуток! pmount -d действительно всё прояснил (что-то я этот ключик
> проглядел раньше).

> Четырехкратная попытка смонтировать udf и iso9660 - вот и вся задержка!
> Почему такой порядок?  Чтобы CD/DVD быстрее монтировались?

У меня `pmount-hal /dev/sda -d` (usb flash) ведёт себя существенно
интеллектуальнее своего не знакомого с hal варианта, "простого" pmount. В
имеющийся /dev/fd0 мне попросту нечего сунуть для сравнения.
------- Comment #8 From 2006-10-23 21:58:34 -------
Created an attachment (id=1667) [details]
Патч изменяет порядок разных ФС в попытках монтирования
------- Comment #9 From 2006-10-23 21:59:42 -------
Так ведь sda это устройство известное hal.  pmount-hal получает от hal всю
информацию, включая тип ФС, и производит монтирование сразу правильно.  
Вот если посмотреть на pmount -d /dev/sda1 увидите те же
самые попытки.  

Но о дискете, вставленой в fd0, hal ничего не знает.
Поэтому в данном случае pmount-hal работает как pmount -
методом проб и ошибок.

Предлагаю изменить порядок попыток и поставить vfat первым до
udf и iso9660.  Патч приложен выше.
------- Comment #10 From 2006-10-24 01:33:40 -------
(In reply to comment #9)
> Предлагаю изменить порядок попыток и поставить vfat первым до
> udf и iso9660.  Патч приложен выше.

Согласен по повду патча. Завтра уйдёт на сборку.
------- Comment #11 From 2006-10-24 10:17:52 -------
(In reply to comment #9)
> Так ведь sda это устройство известное hal.  pmount-hal получает от hal всю
> информацию, включая тип ФС, и производит монтирование сразу правильно.  
> Вот если посмотреть на pmount -d /dev/sda1 увидите те же
> самые попытки.  

А я разве утверждал другое? :-)
------- Comment #12 From 2006-10-24 15:27:41 -------
(In reply to comment #8)
> Created an attachment (id=1667) [edit] [details]
> Патч изменяет порядок разных ФС в попытках монтирования

Приложил в alt2 и отправил на сборку.
------- Comment #13 From 2006-10-25 16:17:08 -------
fixed